org.apache.ignite.internal.processors.query

## Enum QueryState

- java.lang.Object
- - java.lang.Enum<QueryState>
  - - org.apache.ignite.internal.processors.query.QueryState

All Implemented Interfaces:
  Serializable, Comparable<QueryState>

    public enum QueryState
    extends Enum<QueryState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLOSED`
`CLOSING`
`EXECUTING`
`INITED`
`MAPPING`
`PLANNING`

### Method Summary

All Methods Static Methods Concrete Methods
`static QueryState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INITED

    public static final QueryState INITED

#### PLANNING

    public static final QueryState PLANNING

#### MAPPING

    public static final QueryState MAPPING

#### EXECUTING

    public static final QueryState EXECUTING

#### CLOSING

    public static final QueryState CLOSING

#### CLOSED

    public static final QueryState CLOSED

### Method Detail

#### values

    public static QueryState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryState c : QueryState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023